*,
*::before,
*::after {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

a {
  text-decoration: none;
  color: inherit;
}

.page {
  min-height: 100dvh;

  padding: 10px 10px 10px 10px;

  background: url("./assets/bg.png") no-repeat center/cover;

  font-family: Rubik, sans-serif;
}

.header {
  background-color: #1e1e1d;
  max-width: 1028px;

  display: flex;
  justify-content: space-between;
  align-items: center;

  margin: 10px auto 0 auto;
  padding: 20px 24px;

  border-radius: 40px;
  border: 1px solid rgba(192, 206, 215, 0.3);
}

.logo {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 5px;
}

.logo__image {
}

.logo__text {
  color: #9ca3af;
  font-size: 13px;
  text-transform: uppercase;
}
.live {
  background-color: #000000;

  border-radius: 18px;
  padding: 4px 8px;

  font-size: 12px;
  color: #ffffff;
  font-weight: bold;
  text-transform: uppercase;
}

.live__dot {
  margin-right: 3px;
  color: #ff0000;
  font-size: 30px;
  line-height: 0.3;
  vertical-align: middle;
}
.live__number {
  margin-left: 12px;
  font-weight: normal;
}

.hero {
  margin: 0 auto;
}

.content {
  margin: 0 auto;
  max-width: 390px;
  padding: 10px 10px 0 10px;
}

.promocode {
  position: relative;
  padding: 16px;
  cursor: pointer;

  border-radius: 12px;
  border: 1px solid rgba(255, 255, 255, 0.2);

  /* From https://css.glass */
  background: rgba(255, 255, 255, 0);
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(9.8px);
  -webkit-backdrop-filter: blur(9.8px);

  text-transform: uppercase;
}

.promocode__label {
  font-size: 13px;
  color: #9ca3af;
}
.promocode__code {
  font-size: 36px;
  color: #ffd700;
  font-family: "DM Mono", sans-serif;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.promocode__code::after {
  content: url("./assets/copy.svg");
  vertical-align: middle;
}

.promocode__copied {
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: 1;
  pointer-events: none;

  color: #ffd900ad;
  font-size: 12px;

  animation: copied-message 1s ease-out forwards;
}

@keyframes copied-message {
  from {
    opacity: 1;
    transform: translate(-50%, -50%);
  }

  to {
    opacity: 0;
    transform: translate(-50%, calc(-50% - 30px));
  }
}

.advantages {
  display: flex;
  justify-content: center;
  align-items: center;
  background: radial-gradient(ellipse, #000000, #000000 55%, transparent 70%);
  gap: 16px;
  padding: 16px 21px;
  margin-top: 8px;
}

.advantage {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  flex: 0 0 33.33%;

  font-size: 10px;
  text-align: center;

  position: relative;
}

.advantage::after {
  content: "";
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  right: -8px;
  border-right: 2px solid #9ca3af;
  height: 75%;
}

.advantage:last-child::after {
  display: none;
  visibility: hidden;
  border: none;
}

.advantage__image {
  margin-bottom: 8px;
}

.advantage__label {
  color: #ffffff;
  text-transform: uppercase;
  font-weight: 600;
  letter-spacing: 0.21px;
}

.advantage__extra {
  color: #9ca3af;
}

.button {
  font-size: 16px;
  font-weight: 600;
  text-align: center;

  border-radius: 50px;

  display: block;
  width: 100%;

  margin-top: 8px;

  padding: 19px 0 15px 0;

  background: linear-gradient(
    28deg,
    rgba(247, 240, 169, 1) 0%,
    rgba(238, 221, 142, 1) 15%,
    rgba(246, 210, 128, 1) 35%,
    rgba(235, 195, 82, 1) 50%,
    rgba(246, 210, 128, 1) 65%,
    rgba(238, 221, 142, 1) 85%,
    rgba(247, 240, 169, 1) 100%
  );

  outline: none;
  border: none;

  box-shadow: 0px 4px 0px 3px #d7a645;
}

.lock {
  display: inline-block;
  margin-right: 5px;
}
.content__extra {
  margin-top: 22px;
  text-transform: uppercase;
  font-size: 13px;
  color: #9ca3af;
  text-align: center;
}

@media (max-width: 440px) {
  .header {
    background-color: transparent;
    border: none;
    padding: 10px 5px 10px 5px;
    margin-bottom: 20px;
  }

  .content {
    padding: 0px 10px 0 10px;
  }
}
